OpenVDB 5.1.0

Classes | Namespaces | Typedefs | Functions
Clip.h File Reference

Functions to clip a grid against a bounding box, a camera frustum, or another grid's active voxel topology. More...

`#include <openvdb/Grid.h>`
`#include <openvdb/math/Math.h>`
`#include <openvdb/math/Maps.h>`
`#include <openvdb/tree/LeafManager.h>`
`#include "GridTransformer.h"`
`#include "Prune.h"`
`#include <tbb/blocked_range.h>`
`#include <tbb/parallel_reduce.h>`
`#include <type_traits>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | MaskInteriorVoxels< TreeT >
class | CopyLeafNodes< TreeT >
struct | BoolSampler
struct | ConvertGrid< FromGridT, ToGridT >
struct | ConvertGrid< GridT, GridT >

## Namespaces
| openvdb
| openvdb::v5_1
| openvdb::v5_1::tools
| openvdb::v5_1::tools::clip_internal

## Typedefs
using | MaskValueType = ValueMask

## Functions
template<typename GridType >
GridType::Ptr | clip (const GridType &grid, const BBoxd &bbox, bool keepInterior=true)
| Clip the given grid against a world-space bounding box and return a new grid containing the result. More...
template<typename GridType >
GridType::Ptr | clip (const GridType &grid, const math::NonlinearFrustumMap &frustum, bool keepInterior=true)
| Clip the given grid against a frustum and return a new grid containing the result. More...
template<typename GridType , typename MaskTreeType >
GridType::Ptr | clip (const GridType &grid, const Grid< MaskTreeType > &mask, bool keepInterior=true)
| Clip a grid against the active voxels of another grid and return a new grid containing the result. More...

## Detailed Description

Functions to clip a grid against a bounding box, a camera frustum, or another grid's active voxel topology.